//Title: Device Manager Class
//Platform: BeOS 5
//Version: 2006.01.14
//Description:
//	A class for working with physical hardware devices (like VGA displays)
//  Basically a factory class for the other Device classes.

//Copyright (C) 2002-2006 Kevin H. Patterson

#ifndef _DeviceManager_h
#define _DeviceManager_h
	
	#include <Application.h>

	#include "GraphicsDevice.h"
	
	class DeviceManager
	{
	public:
		DeviceManager();
		~DeviceManager();
		GraphicsDevice * GetGraphicsDevice(const char * DeviceName);
		GraphicsDevice * GetGraphicsDevice(const uint32 DeviceIndex);
		uint32 GraphicsDeviceCount(uint32 *first_working_kerneldriver);
	private:
	};
	
#endif
